unit udb_gridlayout_register;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils,udb_layout,ComponentEditors,LResources;


{ TGridLayoutEditor }
type
TGridLayoutEditor=Class(TComponentEditor)
  procedure ExecuteVerb(Index: Integer); override;
  function GetVerb(Index: Integer): string; override;
  function GetVerbCount: Integer; override;
 end;

resourcestring
  rs_register_components_new = 'Komponenten neu registrieren';

procedure Register;

implementation


procedure Register;
begin
  {$I gridlayout_icon.lrs}
  RegisterComponents('unidb', [TGridPanel]);
  RegisterComponentEditor(TGridPanel,TGridLayoutEditor);
end;


{ TGridLayoutEditor }


procedure TGridLayoutEditor.ExecuteVerb(Index: Integer);
begin
   TGridPanel( GetComponent).Re_registers_all_child_components;
end;

function TGridLayoutEditor.GetVerb(Index: Integer): string;
begin
  Result:=rs_register_components_new;
end;

function TGridLayoutEditor.GetVerbCount: Integer;
begin
  Result:=1;
end;

end.

